Take the 2-minute tour ×
Android Enthusiasts Stack Exchange is a question and answer site for enthusiasts and power users of the Android operating system. It's 100% free, no registration required.

I have and Samsung GT-i5500 (aka Galaxy-europe, aka galaxy-5, ...), running Android 2.1

Some months ago I've returned it for repair because of GPS issues. Ever since, when I connect it to my computer and start Samsung Kies on my computer, the Firmware Information page says:

This version can not be updated.
Current firmware version: PDA:JK3 / PHONE:JK3 / CSC:JK3 (CPW)

Does this mean that when (if?) Samsung ever releases Android 2.2 for this model, I will still not be able to update it?
Before the 'repair' it never said that the version could not be updated. It was more along the lines of 'you have the most recent version' or 'no update available' instead of 'this version can not be updated'.

share|improve this question

1 Answer 1

up vote 2 down vote accepted

According to this link this message is due to a bad translation from Korean to English (and from that to Dutch, because in Dutch the message has the same meaning).

Original Korean was something like "For this ROM there are not updates available (yet)".

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.